---
document: modulemd-defaults
version: 1
data:
  module: kernel
  stream: "stable"
  profiles:
    stable: [everything]
...
---
document: modulemd
version: 2
data:
  name: kernel
  stream: "stable"
  version: 1
  context: abcdef12
  summary: <auto-generated module summary>
  description: >-
    <auto-generated module description>
  license:
    module:
    - MIT
    content:
    - <FILL THIS IN>
  profiles:
    everything:
      rpms:
      - bpftool
      - bpftool-debuginfo
      - kernel
      - kernel-core
      - kernel-cross-headers
      - kernel-debug
      - kernel-debug-core
      - kernel-debug-debuginfo
      - kernel-debug-devel
      - kernel-debug-modules
      - kernel-debug-modules-extra
      - kernel-debug-modules-internal
      - kernel-debuginfo
      - kernel-debuginfo-common-x86_64
      - kernel-devel
      - kernel-headers
      - kernel-ipaclones-internal
      - kernel-modules
      - kernel-modules-extra
      - kernel-modules-internal
      - kernel-selftests-internal
      - kernel-tools
      - kernel-tools-debuginfo
      - kernel-tools-libs
      - kernel-tools-libs-devel
      - perf
      - perf-debuginfo
      - python3-perf
      - python3-perf-debuginfo
  api:
    rpms:
    - bpftool
    - bpftool-debuginfo
    - kernel
    - kernel-core
    - kernel-cross-headers
    - kernel-debug
    - kernel-debug-core
    - kernel-debug-debuginfo
    - kernel-debug-devel
    - kernel-debug-modules
    - kernel-debug-modules-extra
    - kernel-debug-modules-internal
    - kernel-debuginfo
    - kernel-debuginfo-common-x86_64
    - kernel-devel
    - kernel-headers
    - kernel-ipaclones-internal
    - kernel-modules
    - kernel-modules-extra
    - kernel-modules-internal
    - kernel-selftests-internal
    - kernel-tools
    - kernel-tools-debuginfo
    - kernel-tools-libs
    - kernel-tools-libs-devel
    - perf
    - perf-debuginfo
    - python3-perf
    - python3-perf-debuginfo
  components:
    rpms:
      kernel:
        rationale: Present in the repository
  artifacts:
    rpms:
    - bpftool-0:4.18.0-305.10.2.el8.x86_64
    - bpftool-debuginfo-0:4.18.0-305.10.2.el8.x86_64
    - kernel-0:4.18.0-305.10.2.el8.x86_64
    - kernel-core-0:4.18.0-305.10.2.el8.x86_64
    - kernel-cross-headers-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debug-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debug-core-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debug-debuginfo-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debug-devel-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debug-modules-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debug-modules-extra-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debug-modules-internal-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debuginfo-0:4.18.0-305.10.2.el8.x86_64
    - kernel-debuginfo-common-x86_64-0:4.18.0-305.10.2.el8.x86_64
    - kernel-devel-0:4.18.0-305.10.2.el8.x86_64
    - kernel-headers-0:4.18.0-305.10.2.el8.x86_64
    - kernel-ipaclones-internal-0:4.18.0-305.10.2.el8.x86_64
    - kernel-modules-0:4.18.0-305.10.2.el8.x86_64
    - kernel-modules-extra-0:4.18.0-305.10.2.el8.x86_64
    - kernel-modules-internal-0:4.18.0-305.10.2.el8.x86_64
    - kernel-selftests-internal-0:4.18.0-305.10.2.el8.x86_64
    - kernel-tools-0:4.18.0-305.10.2.el8.x86_64
    - kernel-tools-debuginfo-0:4.18.0-305.10.2.el8.x86_64
    - kernel-tools-libs-0:4.18.0-305.10.2.el8.x86_64
    - kernel-tools-libs-devel-0:4.18.0-305.10.2.el8.x86_64
    - perf-0:4.18.0-305.10.2.el8.x86_64
    - perf-debuginfo-0:4.18.0-305.10.2.el8.x86_64
    - python3-perf-0:4.18.0-305.10.2.el8.x86_64
    - python3-perf-debuginfo-0:4.18.0-305.10.2.el8.x86_64
...
